Package com.ads.api.beans.tm

# Class TestCase

java.lang.Object
com.ads.api.beans.tm.TestCase

public class TestCase extends Object
This class provides some beans control methods related to TestCase, testCaseName, its Description, testCaseLabel, testSQLScript, stepName, projectName, subjectName, expectedResult, actualResult, testCaseComments, testStepComments, validationStepStatus, validationStepType, testDocName, testDocOwner, AuditHistory Details etc...

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TestCase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addValidationStep(String name, TestCaseValidationStep _validationStep)`
  Adds the stepName to validationStepMap.
  `String`
  `getActualResult()`
  Returns the actualResult.
  `String`
  `getApprovalFlag()`
  Returns the approvalFlag.
  `String`
  `getApproved()`
  Returns the approved value.
  `String`
  `getApprovedBy()`
  Returns the approvedBy value.
  `String`
  `getAttachDoc()`
  Returns the attach Document.
  `File`
  `getAttachFile()`
  `String`
  `getCreatedBy()`
  Returns the createdBy.
  `String`
  `getCreatedDate()`
  Returns the createdDate.
  `String`
  `getDescription()`
  Returns the description.
  `String`
  `getDocMode()`
  Returns the docMode.
  `String`
  `getDocumentLink()`
  Returns the documentLink.
  `String`
  `getDocumentStatus()`
  Returns the documentStatus.
  `List<Integer>`
  `getExcelInvalidRows()`
  Returns the excelInvalidRows list when the excel Document is imported for a testCase.
  `String`
  `getExpectedResult()`
  Returns the expectedResult.
  `String`
  `getExtendable()`
  Returns the extendable value.
  `String`
  `getExternalTestcaseId()`
  Returns the externalTestcaseId
  `String`
  `getLastModifiedBy()`
  Returns the lastModifiedBy.
  `String`
  `getLastModifiedDateTime()`
  Returns the lastModifiedDateTime.
  `String`
  `getMapId()`
  Returns the mapId in which the testCase is present.
  `String`
  `getMapName()`
  Returns the mapName in which the testCase is present.
  `String`
  `getMessage()`
  Returns the message.
  `String`
  `getModifiedBy()`
  Returns the name of the login user who modified the testCase.
  `String`
  `getModifiedDate()`
  Returns the modifiedDate on which the testCase Details are modified.
  `String`
  `getObjectId()`
  Returns the objectId.
  `String`
  `getObjectName()`
  Returns the ObjectName.
  `String`
  `getPriorityId()`
  Returns the priorityId.
  `String`
  `getPriorityName()`
  Returns the priorityName.
  `String`
  `getProjectId()`
  Returns the projectId.
  `String`
  `getProjectName()`
  Returns the projectName in which the testCase is present.
  `String`
  `getSaveFilePath()`
  Returns the saveFilePath.
  `String`
  `getStatusId()`
  Returns the statusId.
  `String`
  `getStatusName()`
  Returns the statusName of the Document.i.e In progress, Ready for Review, Approved.
  `String`
  `getSubjectId()`
  Returns the subjectId in which the testCase is present.
  `String`
  `getSubjectName()`
  Returns the subjectName in which the testCase is present.
  `String`
  `getSuccessOption()`
  Returns the successOption.
  `String`
  `getTestCaseComments()`
  Returns the testCaseComments.
  `String`
  `getTestCaseId()`
  Sets the testCaseId.
  `String`
  `getTestcaseLabel()`
  Returns the testCaseLabel of the particular testCase.
  `String`
  `getTestCaseLabel()`
  Returns the testCaseLabel of the testCase.
  `String`
  `getTestCaseLevel()`
  Returns the TestCaseLevel.
  `String`
  `getTestCaseName()`
  Returns the testCaseName.
  `String`
  `getTestCaseTypeId()`
  Returns the testCaseTypeId.
  `String`
  `getTestDocApprovalDate()`
  Returns the TestCase Document ApprovalDate.
  `String`
  `getTestDocId()`
  Returns the testCaseDocId.
  `String`
  `getTestDocIntededUseDescr()`
  Returns the testCaseDoc intendedUserDescription.
  `String`
  `getTestDocName()`
  Returns the testCaseDocumentName.
  `String`
  `getTestDocObject()`
  Returns the testDocumentObject.
  `String`
  `getTestDocOwner()`
  Returns the testCaseDocument Owner.
  `String`
  `getTestDocType()`
  Returns the testCaseDocument Type.
  `String`
  `getTestSQLScript()`
  Returns the testSQLScript.
  `String`
  `getTestStepComments()`
  Returns the testStepComments.
  `String`
  `getTestTypeName()`
  Returns the testTypeName.
  `TestCaseValidationStep`
  `getValidationStep(String name)`
  Returns the TestCaseValidationStep for the specified name.
  `Map<String,TestCaseValidationStep>`
  `getValidationStepMap()`
  Returns the validationStepMap i.e it returns the details like testCaseId, validationStepId, validationStepName, status,
  description, expectedResult, actualResult, comments etc...
  `List`
  `getValidationStepsList()`
  Returns the TestCaseValidationStep Object.
  `boolean`
  `isIsCopied()`
  Returns the value True or False.
  `boolean`
  `isValidExcelCase()`
  Returns the validExcelCase value.
  `void`
  `setActualResult(String actualResult)`
  Sets the actualResult as specified.
  `void`
  `setApprovalFlag(String approvalFlag)`
  Sets the approvalFlag as specified.
  `void`
  `setApproved(String approved)`
  Sets the approved as specified.
  `void`
  `setApprovedBy(String approvedBy)`
  Sets the approvedBy as specified.
  `void`
  `setAttachDoc(String attachDoc)`
  Sets the attach Document as specified.
  `void`
  `setAttachFile(File attachFile)`
  `void`
  `setCreatedBy(String createdBy)`
  Sets the createdBy as specified.
  `void`
  `setCreatedDate(String createdDate)`
  Sets the createdDate as specified.
  `void`
  `setDescription(String description)`
  Sets the description as specified.
  `void`
  `setDocMode(String docMode)`
  Sets the docMode as specified.
  `void`
  `setDocumentLink(String documentLink)`
  Sets the documentLink as specified.
  `void`
  `setDocumentStatus(String documentStatus)`
  Sets the documentStatus as specified.
  `void`
  `setExcelInvalidRows(List<Integer> excelInvalidRows)`
  Sets the excelInvalidRows as specified.
  `void`
  `setExpectedResult(String expectedResult)`
  Sets the expectedResult as specified.
  `void`
  `setExtendable(String extendable)`
  Sets the extendable value as specified.
  `void`
  `setExternalTestcaseId(String externalTestcaseId)`
  Sets the externalTestcaseId as specified.
  `void`
  `setIsCopied(boolean isCopied)`
  Sets the value of IsCopied as specified.
  `void`
  `setLastModifiedBy(String lastModifiedBy)`
  Sets the value of lastModifiedBy as specified.
  `void`
  `setLastModifiedDateTime(String lastModifiedDateTime)`
  Sets the lastModifiedDateTime as specified.
  `void`
  `setMapId(String mapId)`
  Sets the mapId as specified.
  `void`
  `setMapName(String mapName)`
  Sets the mapName as specified.
  `void`
  `setMessage(String message)`
  Sets the message as specified.
  `void`
  `setModifiedBy(String modifiedBy)`
  Sets the value of the modifiedBy as specified.
  `void`
  `setModifiedDate(String modifiedDate)`
  Sets the modifiedDate as specified.
  `void`
  `setObjectId(String objectId)`
  Sets the objectId as specified.
  `void`
  `setObjectName(String objectName)`
  Sets the objectName as specified.
  `void`
  `setPriorityId(String priorityId)`
  Sets the priorityId as specified.
  `void`
  `setPriorityName(String priorityName)`
  Sets the priorityName as specified.
  `void`
  `setProjectId(String projectId)`
  Sets the projectId as specified.
  `void`
  `setProjectName(String projectName)`
  Sets the projectName as specified.
  `void`
  `setSaveFilePath(String saveFilePath)`
  Sets the saveFilePath as specified.
  `void`
  `setStatusId(String statusId)`
  Sets the statusId as specified.
  `void`
  `setStatusName(String statusName)`
  Sets the statusName as specified.
  `void`
  `setSubjectId(String subjectId)`
  Sets the subjectId as specified.
  `void`
  `setSubjectName(String subjectName)`
  Sets the subjectName as specified.
  `void`
  `setSuccessOption(String successOption)`
  Sets the successOption as specified.
  `void`
  `setTestCaseComments(String testCaseComments)`
  Sets the testCaseComments as specified.
  `void`
  `setTestCaseId(String testCaseId)`
  Returns the testCaseId
  `void`
  `setTestCaseLabel(String testCaseLabel)`
  Sets the testCaseLabel as specified.
  `void`
  `setTestCaseLevel(String testCaseLevel)`
  Sets the testCaseLevel as specified.
  `void`
  `setTestCaseName(String testCaseName)`
  Sets the testCaseName as specified.
  `void`
  `setTestCaseTypeId(String testCaseTypeId)`
  Returns the testCaseTypeId as specified.
  `void`
  `setTestDocApprovalDate(String testDocApprovalDate)`
  Sets the TestCase Document ApprovalDate as specified.
  `void`
  `setTestDocId(String testDocId)`
  Sets the testCaseDocId as specified.
  `void`
  `setTestDocIntededUseDescr(String testDocIntededUseDescr)`
  Sets the testCaseDoc intendedUserDescription as specified.
  `void`
  `setTestDocName(String testDocName)`
  Sets the testDocName as specified.
  `void`
  `setTestDocObject(String testDocObject)`
  Sets the testDocumentObject as specified.
  `void`
  `setTestDocOwner(String testDocOwner)`
  Sets the testCaseDocument Owner as specified.
  `void`
  `setTestDocType(String testDocType)`
  Sets the testCaseDocument Type as specified.
  `void`
  `setTestSQLScript(String testSQLScript)`
  Sets the testSQLScript as specified.
  `void`
  `setTestStepComments(String testStepComments)`
  Sets the testStepComments as specified.
  `void`
  `setTestTypeName(String testTypeName)`
  Sets the testTypeName as specified.
  `void`
  `setValidationStepMap(Map<String,TestCaseValidationStep> _validationStepMap)`
  Sets the validationStepMap as specified.
  `void`
  `setValidExcelCase(boolean validExcelCase)`
  Sets the validExcelCase as specified.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TestCase

    public TestCase()

- ## Method Details

  - ### getApproved

    public String getApproved()
    Returns the approved value.
    Returns:
      String

  - ### setApproved

    public void setApproved(String approved)
    Sets the approved as specified.
    Parameters:
      `approved` - String

  - ### isIsCopied

    public boolean isIsCopied()
    Returns the value True or False.
    Returns:
      Boolean

  - ### setIsCopied

    public void setIsCopied(boolean isCopied)
    Sets the value of IsCopied as specified.
    Parameters:
      `isCopied` - boolean

  - ### getTestCaseLevel

    public String getTestCaseLevel()
    Returns the TestCaseLevel. i.e it returns the level in which TestCase is present.
    TestCaseLevel can be map level, project level or table level.
    Returns:
      String

  - ### setTestCaseLevel

    public void setTestCaseLevel(String testCaseLevel)
    Sets the testCaseLevel as specified.
    Parameters:
      `testCaseLevel` - String

  - ### getTestcaseLabel

    public String getTestcaseLabel()
    Returns the testCaseLabel of the particular testCase.
    Returns:
      String

  - ### getTestCaseId

    public String getTestCaseId()
    Sets the testCaseId.
    Returns:
      String

  - ### setTestCaseId

    public void setTestCaseId(String testCaseId)
    Returns the testCaseId
    Parameters:
      `testCaseId` - String

  - ### getTestCaseLabel

    public String getTestCaseLabel()
    Returns the testCaseLabel of the testCase.
    Returns:
      String

  - ### setTestCaseLabel

    public void setTestCaseLabel(String testCaseLabel)
    Sets the testCaseLabel as specified.
    Parameters:
      `testCaseLabel` - String

  - ### getTestCaseName

    public String getTestCaseName()
    Returns the testCaseName.
    Returns:
      String

  - ### setTestCaseName

    public void setTestCaseName(String testCaseName)
    Sets the testCaseName as specified.
    Parameters:
      `testCaseName` - String

  - ### getTestSQLScript

    public String getTestSQLScript()
    Returns the testSQLScript.
    Returns:
      String

  - ### setTestSQLScript

    public void setTestSQLScript(String testSQLScript)
    Sets the testSQLScript as specified.
    Parameters:
      `testSQLScript` - String

  - ### getDescription

    public String getDescription()
    Returns the description.
    Returns:
      String

  - ### setDescription

    public void setDescription(String description)
    Sets the description as specified.
    Parameters:
      `description` - String

  - ### getCreatedBy

    public String getCreatedBy()
    Returns the createdBy. i.e it returns the name of the user who has created the testCase.
    Returns:
      String

  - ### setCreatedBy

    public void setCreatedBy(String createdBy)
    Sets the createdBy as specified.
    Parameters:
      `createdBy` - String

  - ### getCreatedDate

    public String getCreatedDate()
    Returns the createdDate.
    Returns:
      String

  - ### setCreatedDate

    public void setCreatedDate(String createdDate)
    Sets the createdDate as specified.
    Parameters:
      `createdDate` - String

  - ### getModifiedBy

    public String getModifiedBy()
    Returns the name of the login user who modified the testCase.
    Returns:
      String

  - ### setModifiedBy

    public void setModifiedBy(String modifiedBy)
    Sets the value of the modifiedBy as specified.
    Parameters:
      `modifiedBy` - String

  - ### getModifiedDate

    public String getModifiedDate()
    Returns the modifiedDate on which the testCase Details are modified.
    Returns:
      String

  - ### setModifiedDate

    public void setModifiedDate(String modifiedDate)
    Sets the modifiedDate as specified.
    Parameters:
      `modifiedDate` - String

  - ### getProjectId

    public String getProjectId()
    Returns the projectId.
    Returns:
      String

  - ### setProjectId

    public void setProjectId(String projectId)
    Sets the projectId as specified.
    Parameters:
      `projectId` - String

  - ### getProjectName

    public String getProjectName()
    Returns the projectName in which the testCase is present.
    Returns:
      String

  - ### setProjectName

    public void setProjectName(String projectName)
    Sets the projectName as specified.
    Parameters:
      `projectName` - String

  - ### getMapId

    public String getMapId()
    Returns the mapId in which the testCase is present.
    Returns:
      String

  - ### setMapId

    public void setMapId(String mapId)
    Sets the mapId as specified.
    Parameters:
      `mapId` - String

  - ### getMapName

    public String getMapName()
    Returns the mapName in which the testCase is present.
    Returns:
      String

  - ### setMapName

    public void setMapName(String mapName)
    Sets the mapName as specified.
    Parameters:
      `mapName` - String

  - ### getSubjectId

    public String getSubjectId()
    Returns the subjectId in which the testCase is present.
    Returns:
      String

  - ### setSubjectId

    public void setSubjectId(String subjectId)
    Sets the subjectId as specified.
    Parameters:
      `subjectId` - String

  - ### getSubjectName

    public String getSubjectName()
    Returns the subjectName in which the testCase is present.
    Returns:
      String

  - ### setSubjectName

    public void setSubjectName(String subjectName)
    Sets the subjectName as specified.
    Parameters:
      `subjectName` - String

  - ### getTestDocName

    public String getTestDocName()
    Returns the testCaseDocumentName.
    Returns:
      String

  - ### setTestDocName

    public void setTestDocName(String testDocName)
    Sets the testDocName as specified.
    Parameters:
      `testDocName` - String

  - ### getTestDocType

    public String getTestDocType()
    Returns the testCaseDocument Type.
    Returns:
      String

  - ### setTestDocType

    public void setTestDocType(String testDocType)
    Sets the testCaseDocument Type as specified.
    Parameters:
      `testDocType` - String

  - ### getTestDocIntededUseDescr

    public String getTestDocIntededUseDescr()
    Returns the testCaseDoc intendedUserDescription.
    Returns:
      String

  - ### setTestDocIntededUseDescr

    public void setTestDocIntededUseDescr(String testDocIntededUseDescr)
    Sets the testCaseDoc intendedUserDescription as specified.
    Parameters:
      `testDocIntededUseDescr` - String

  - ### getTestDocOwner

    public String getTestDocOwner()
    Returns the testCaseDocument Owner.
    Returns:
      String

  - ### setTestDocOwner

    public void setTestDocOwner(String testDocOwner)
    Sets the testCaseDocument Owner as specified.
    Parameters:
      `testDocOwner` - String

  - ### getTestDocId

    public String getTestDocId()
    Returns the testCaseDocId.
    Returns:
      String

  - ### setTestDocId

    public void setTestDocId(String testDocId)
    Sets the testCaseDocId as specified.
    Parameters:
      `testDocId` - String

  - ### getLastModifiedBy

    public String getLastModifiedBy()
    Returns the lastModifiedBy.
    Returns:
      String

  - ### setLastModifiedBy

    public void setLastModifiedBy(String lastModifiedBy)
    Sets the value of lastModifiedBy as specified.
    Parameters:
      `lastModifiedBy` - String

  - ### getLastModifiedDateTime

    public String getLastModifiedDateTime()
    Returns the lastModifiedDateTime.
    Returns:
      String

  - ### setLastModifiedDateTime

    public void setLastModifiedDateTime(String lastModifiedDateTime)
    Sets the lastModifiedDateTime as specified.
    Parameters:
      `lastModifiedDateTime` - String

  - ### getTestDocObject

    public String getTestDocObject()
    Returns the testDocumentObject.
    Returns:
      String

  - ### setTestDocObject

    public void setTestDocObject(String testDocObject)
    Sets the testDocumentObject as specified.
    Parameters:
      `testDocObject` - String

  - ### getApprovedBy

    public String getApprovedBy()
    Returns the approvedBy value.
    Returns:
      String

  - ### setApprovedBy

    public void setApprovedBy(String approvedBy)
    Sets the approvedBy as specified.
    Parameters:
      `approvedBy` - String

  - ### getTestDocApprovalDate

    public String getTestDocApprovalDate()
    Returns the TestCase Document ApprovalDate.
    Returns:
      String

  - ### setTestDocApprovalDate

    public void setTestDocApprovalDate(String testDocApprovalDate)
    Sets the TestCase Document ApprovalDate as specified.
    Parameters:
      `testDocApprovalDate` - String

  - ### getDocumentStatus

    public String getDocumentStatus()
    Returns the documentStatus.
    Returns:
      String

  - ### setDocumentStatus

    public void setDocumentStatus(String documentStatus)
    Sets the documentStatus as specified.
    Parameters:
      `documentStatus` - String

  - ### getApprovalFlag

    public String getApprovalFlag()
    Returns the approvalFlag.
    Returns:
      String

  - ### setApprovalFlag

    public void setApprovalFlag(String approvalFlag)
    Sets the approvalFlag as specified.
    Parameters:
      `approvalFlag` - String

  - ### getSuccessOption

    public String getSuccessOption()
    Returns the successOption.
    Returns:
      String

  - ### setSuccessOption

    public void setSuccessOption(String successOption)
    Sets the successOption as specified.
    Parameters:
      `successOption` - String

  - ### getMessage

    public String getMessage()
    Returns the message.
    Returns:
      String

  - ### setMessage

    public void setMessage(String message)
    Sets the message as specified.
    Parameters:
      `message` - String

  - ### getSaveFilePath

    public String getSaveFilePath()
    Returns the saveFilePath.
    Returns:
      String

  - ### setSaveFilePath

    public void setSaveFilePath(String saveFilePath)
    Sets the saveFilePath as specified.
    Parameters:
      `saveFilePath` - String

  - ### getAttachDoc

    public String getAttachDoc()
    Returns the attach Document.
    Returns:
      String

  - ### setAttachDoc

    public void setAttachDoc(String attachDoc)
    Sets the attach Document as specified.
    Parameters:
      `attachDoc` - String

  - ### getDocMode

    public String getDocMode()
    Returns the docMode.
    Returns:
      String

  - ### setDocMode

    public void setDocMode(String docMode)
    Sets the docMode as specified.
    Parameters:
      `docMode` - String

  - ### getExtendable

    public String getExtendable()
    Returns the extendable value. i.e depending on extendable value, testCase will be extended.
    Returns:
      String

  - ### setExtendable

    public void setExtendable(String extendable)
    Sets the extendable value as specified.
    Parameters:
      `extendable` - String

  - ### getExpectedResult

    public String getExpectedResult()
    Returns the expectedResult.
    Returns:
      String

  - ### setExpectedResult

    public void setExpectedResult(String expectedResult)
    Sets the expectedResult as specified.
    Parameters:
      `expectedResult` - String

  - ### getActualResult

    public String getActualResult()
    Returns the actualResult.
    Returns:
      String

  - ### setActualResult

    public void setActualResult(String actualResult)
    Sets the actualResult as specified.
    Parameters:
      `actualResult` - String

  - ### getStatusId

    public String getStatusId()
    Returns the statusId.
    Returns:
      String

  - ### setStatusId

    public void setStatusId(String statusId)
    Sets the statusId as specified.
    Parameters:
      `statusId` - String

  - ### getStatusName

    public String getStatusName()
    Returns the statusName of the Document.i.e In progress, Ready for Review, Approved.
    Returns:
      String

  - ### setStatusName

    public void setStatusName(String statusName)
    Sets the statusName as specified.
    Parameters:
      `statusName` - String

  - ### getTestCaseTypeId

    public String getTestCaseTypeId()
    Returns the testCaseTypeId.
    Returns:
      String

  - ### setTestCaseTypeId

    public void setTestCaseTypeId(String testCaseTypeId)
    Returns the testCaseTypeId as specified.
    Parameters:
      `testCaseTypeId` - String

  - ### getTestTypeName

    public String getTestTypeName()
    Returns the testTypeName.
    Returns:
      String

  - ### setTestTypeName

    public void setTestTypeName(String testTypeName)
    Sets the testTypeName as specified.
    Parameters:
      `testTypeName` - String

  - ### getPriorityId

    public String getPriorityId()
    Returns the priorityId. Priority are of High, Medium, Low, Critical types.
    High has 1, Medium has 2, Low has 3, Critical has 4 as its PriorityIds respectively.
    Returns:
      String

  - ### setPriorityId

    public void setPriorityId(String priorityId)
    Sets the priorityId as specified.
    Parameters:
      `priorityId` - String

  - ### getPriorityName

    public String getPriorityName()
    Returns the priorityName. PriorityNames are High, Medium, Low, Critical.
    Returns:
      String

  - ### setPriorityName

    public void setPriorityName(String priorityName)
    Sets the priorityName as specified.
    Parameters:
      `priorityName` - String

  - ### getValidationStepMap

    public Map<String,TestCaseValidationStep> getValidationStepMap()
    Returns the validationStepMap i.e it returns the details like testCaseId, validationStepId, validationStepName, status,
    description, expectedResult, actualResult, comments etc...
    Returns:
      Map

  - ### setValidationStepMap

    public void setValidationStepMap(Map<String,TestCaseValidationStep> _validationStepMap)
    Sets the validationStepMap as specified.
    Parameters:
      `_validationStepMap` - Map

  - ### getValidationStep

    public TestCaseValidationStep getValidationStep(String name)
    Returns the TestCaseValidationStep for the specified name.
    Parameters:
      `name` - String
    Returns:
      TestCaseValidationStep Object

  - ### addValidationStep

    public void addValidationStep(String name, TestCaseValidationStep _validationStep)
    Adds the stepName to validationStepMap.
    Parameters:
      `name` - String
      `_validationStep` - TestCaseValidationStep

  - ### getValidationStepsList

    public List getValidationStepsList()
    Returns the TestCaseValidationStep Object.
    Returns:
      List

  - ### getExcelInvalidRows

    public List<Integer> getExcelInvalidRows()
    Returns the excelInvalidRows list when the excel Document is imported for a testCase.
    Returns:
      List

  - ### setExcelInvalidRows

    public void setExcelInvalidRows(List<Integer> excelInvalidRows)
    Sets the excelInvalidRows as specified.
    Parameters:
      `excelInvalidRows` - List

  - ### getTestCaseComments

    public String getTestCaseComments()
    Returns the testCaseComments.
    Returns:
      String

  - ### setTestCaseComments

    public void setTestCaseComments(String testCaseComments)
    Sets the testCaseComments as specified.
    Parameters:
      `testCaseComments` - String

  - ### getTestStepComments

    public String getTestStepComments()
    Returns the testStepComments.
    Returns:
      String

  - ### setTestStepComments

    public void setTestStepComments(String testStepComments)
    Sets the testStepComments as specified.
    Parameters:
      `testStepComments` - String

  - ### isValidExcelCase

    public boolean isValidExcelCase()
    Returns the validExcelCase value.
    Returns:
      Boolean

  - ### setValidExcelCase

    public void setValidExcelCase(boolean validExcelCase)
    Sets the validExcelCase as specified.
    Parameters:
      `validExcelCase` - Boolean

  - ### getExternalTestcaseId

    public String getExternalTestcaseId()
    Returns the externalTestcaseId
    Returns:
      String

  - ### setExternalTestcaseId

    public void setExternalTestcaseId(String externalTestcaseId)
    Sets the externalTestcaseId as specified.
    Parameters:
      `externalTestcaseId` - String

  - ### getDocumentLink

    public String getDocumentLink()
    Returns the documentLink.
    Returns:
      String

  - ### setDocumentLink

    public void setDocumentLink(String documentLink)
    Sets the documentLink as specified.
    Parameters:
      `documentLink` - String

  - ### getObjectId

    public String getObjectId()
    Returns the objectId.
    Returns:
      String

  - ### setObjectId

    public void setObjectId(String objectId)
    Sets the objectId as specified.
    Parameters:
      `objectId` - String

  - ### getObjectName

    public String getObjectName()
    Returns the ObjectName.
    Returns:
      String

  - ### setObjectName

    public void setObjectName(String objectName)
    Sets the objectName as specified.
    Parameters:
      `objectName` - String

  - ### getAttachFile

    public File getAttachFile()

  - ### setAttachFile

    public void setAttachFile(File attachFile)